# Permanently remove content Permanently deletes content binary files from storage and removes their representation records. Request: items - List of items to purge. Each item includes: contentId - ID of the content to purge. storageClass - Optional storage class to target. adapterId - Optional adapter to target. representationType - Optional representation to target. adapterType - Optional adapter type to target. Response: items - List of purged items confirming contentId, adapterId, and representationType. Endpoint: POST /api/v1/content/purge Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `items` (array) - `items.contentId` (string) Rule data fields - `items.storageClass` (integer) common structs Enum: 0, 1, 2, 3, 4 - `items.adapterId` (string) Rule data fields - `items.representationType` (string) Rule data fields - `items.adapterType` (integer) Enum: 0, 2, 3, 5 ## Response 200 fields (application/json): - `items` (array) - `items.contentId` (string) Rule data fields - `items.adapterId` (string) Rule data fields - `items.representationType` (string) Rule data fields ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)